<template>
    <button :type="type" v-on="$listeners" class="InputButton">
        <slot>
            <span v-text="ctx.label || ctx.value || ctx.name || 'Valider'" />
        </slot>
    </button>
</template>

<script>
import VumikInputMixin from '../VumikInputMixin'

export default {
  name: 'VumikInputButton',
  mixins: [VumikInputMixin]
}
</script>

<style lang="postcss" scoped>
.InputButton {
    @apply w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-yellow-500 hover:bg-yellow-700 focus:ring-2 focus:ring-offset-2 focus:ring-yellow-500;
}

.InputButton:focus {
    @apply outline-none;
}
</style>
